=== src/kconf_update/CMakeLists.txt ===
install(FILES kmail.upd kmail2.upd
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
)
install(PROGRAMS kmail-15.08-kickoff.sh kmail2.sh
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
)
