=== ktnef/src/pics/locolor/CMakeLists.txt ===
ecm_install_icons( ICONS 
16-actions-ktnef_extract_all_to.png  16-actions-ktnef_extract_to.png  16-apps-ktnef.png  32-apps-ktnef.png  DESTINATION ${KDE_INSTALL_ICONDIR} THEME locolor )
