## kmail 17.04.3

=== debian/changelog ===
kmail (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Install extra icons now being provided by the build after upstream fix

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install usr/share/locale
  * Break/Replace kde-l10n < 17.03.90
  * ktnef Breaks/Replaces kontact (<< 4:17.04)
  * New upstream release (17.04.2)
  * Add kubuntu_disable_failing_tests.diff
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:33 +0100

kmail (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Simon Quigley ]
  * Initial split from kdepim

  [ Clive Johnston ]
  * Fixing packaging
  * Adding lintian-overrides

  [ Walter Lapchynski ]
  * Added missing ktnef 

  [ Clive Johnston ]
  * Adding breaks for kontact

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * Build dep on qtpositioning5-dev
  * New upstream release (16.12.1)
  * Increase build depend on libkgapi to version 5.3

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Create a HOME directory for tests
  * New upstream release (16.12.3)
  * Update copyright file

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:27:08 +0100
