## kmail 17.12.3

=== debian/changelog ===
kmail (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * Update install files for renamed debug .categories files
  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:28:26 +0000

kmail (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Remove inroduction HTML page from install files. Now bundled in
    rc file
  * Update install for more rc files bundled as above
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:00 +0000

kmail (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 19:44:57 +0100

kmail (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Install renamed desktop and appstream data files
  * New build depend on libkf5contacteditor-dev
  * Transitional package priorities changed from 'extra' to 'optional'
  * Install new kconf_update scripts
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:18 +0000
