## kmail 18.04.3

=== debian/changelog ===
kmail (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Disable CryptoStateIndicatorWidgetTest. The test is broken upstream
    on 18.04, 18.08, and master branches.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Aug 2018 15:47:25 +0100

kmail (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Drop upstream applied fix-missing-includes.patch

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:57 +0100

kmail (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Remove kdepim-doc transitional package and Breaks/Replaces on kmail
    because 18.04 has been released.
  * Fix the build with Qt 5.11 by adding fix-missing-includes.patch.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 24 Jul 2018 07:08:43 -0500
